package de.mud.jta;

import java.util.Properties;
import java.util.Vector;
import java.util.Enumeration;
import de.mud.jta.event.ConfigurationRequest;

public class CustomCommon extends Common{

    Plugin ssh;

    /////////////////////////////////////////////////////
    public CustomCommon(Properties config){
    /////////////////////////////////////////////////////
        //super(config);

        System.out.println("** The Java(tm) Telnet Application");
        System.out.println("** Version 2.5 for Java 2");
        System.out.println("** Copyright (c) 1996-2002 Matthias L. Jugel, "
                           + "Marcus Meiner");

        try {
      Version build =
    
                  (Version) Class.forName("de.mud.jta.Build").newInstance();
          System.out.println("** Build: " + build.getDate());
        } catch (Exception e) {
          System.out.println("** Build: patched or selfmade, no date");
          System.err.println(e);
        }

        Vector names = split(config.getProperty("plugins"), ',');
        if (names == null) {
          System.err.println("jta: no plugins found! aborting ...");
          return;
        }

        Enumeration e = names.elements();
        while (e.hasMoreElements()) {
          String name = (String) e.nextElement();
          String id = null;
          int idx;
          if ((idx = name.indexOf("(")) > 1) {
            if (name.indexOf(")", idx) > idx)
              id = name.substring(idx + 1, name.indexOf(")", idx));
            else
              System.err.println("jta: missing ')' for plugin '" + name + "'");
            name = name.substring(0, idx);
          }
          System.out.println("jta: loading plugin '" + name + "'"
                             + (id != null && id.length() > 0 ?
                                ", ID: '" + id + "'" : ""));
          Plugin plugin = addPlugin(name, id);
          if(name.equals("CustomSSH")) ssh = plugin;
          if (plugin == null) {
            System.err.println("jta: ignoring plugin '" + name + "'"
                               + (id != null && id.length() > 0 ?
                                  ", ID: '" + id + "'" : ""));
            continue;
          }
        }

        broadcast(new ConfigurationRequest(new PluginConfig(config)));
    }


    public Plugin getSSH(){
        return ssh;
    }

}

