//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: G4ASCIITreeMessenger.hh,v 1.6 2005/05/06 08:38:36 allison Exp $
// GEANT4 tag $Name: geant4-08-00 $
//
// 
// John Allison  5th April 2001
// A scene handler to dump geometry hierarchy to standard output as
//   ASCII stream.
// Based on a provisional G4ASCIITreeGraphicsScene (was in modeling).

#ifndef G4ASCIITREEMESSENGER_HH
#define G4ASCIITREEMESSENGER_HH

#include "G4UImessenger.hh"

#include <vector>

class G4ASCIITree;
class G4UIcommand;
class G4UIcmdWithAnInteger;
class G4UIcmdWithAString;

class G4ASCIITreeMessenger: public G4UImessenger {
public:
  G4ASCIITreeMessenger(G4ASCIITree*);
  virtual ~G4ASCIITreeMessenger();
  G4String GetCurrentValue (G4UIcommand* command);
  void SetNewValue (G4UIcommand* command, G4String newValue);
  static std::vector<G4String> fVerbosityGuidance;
private:
  G4ASCIITree* fpASCIITree;
  G4UIcommand* fpDirectory;
  G4UIcommand* fpDirectorySet;
  G4UIcmdWithAnInteger* fpCommandVerbose;
  G4UIcmdWithAString* fpCommandSetOutFile;
};

#endif
